/*
colors (shamelessly copied from google chrome color scheme):
general background: #202124;
general text: #d9d9d9;

nav bar background: #292a2d;
nav bar text: #9aa0a6;
nav bar selected background: #000000;
nav bar selected text: #eaeaea;

gutters and borders: #494c50;

treeview hover: #232a36;
treeview selected: #073d69;
//treeview selected: #454545;

context menu background: #292a2d;
context menu text: #d9d9d9;
context menu hover: #3f4042;
*/

html,
body {
    height: 100%;
    width: 100%;
    padding: 0;
    margin: 0;
    overflow: hidden;
    color: #d9d9d9;
    background-color: #202124;
    font-family: sans-serif;
}

#content-box {
    display: flex;
    height: 100%;
    width: 100%;
    flex-direction: row;
}

.panel {
    height: 100%;
    display: flex;
    flex-flow: column;
}

.gutter {
    background-color: #494c50;
    background-repeat: no-repeat;
    background-position: 50%;
}

.gutter.gutter-horizontal {
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAAeCAYAAADkftS9AAAAIklEQVQoU2M4c+bMfxAGAgYYmwGrIIiDjrELjpo5aiZeMwF+yNnOs5KSvgAAAABJRU5ErkJggg==');
    cursor: col-resize;
}

.gutter.gutter-vertical {
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAFAQMAAABo7865AAAABlBMVEVHcEzMzMzyAv2sAAAAAXRSTlMAQObYZgAAABBJREFUeF5jOAMEEAIEEFwAn3kMwcB6I2AAAAAASUVORK5CYII=');
    cursor: row-resize;
}

.panel-head {
    flex: 0 1 auto;
    display: flex;
    border-bottom: 1px solid #494c50;
    background-color: #292a2d;
    color: #d9d9d9;
    height: 1.45em;
}

.panel-title {
    padding: 0px 5px;
    font-size: 1em;
    vertical-align: middle;
    font-weight: 550;
}

.panel-buttons {
    height: 100%;
    margin-left: auto;
}

.panel-buttons ul {
    height: 100%;
    list-style: none;
    list-style-type: none;
    margin: 0px;
    padding: 0px;
}

.panel-buttons li {
    display: inline-block;
    height: 100%;
}

.panel-buttons button {
    display: block;
    height: 100%;
    width: 10em;
    padding: 0 0.5em;
    border: none;
    border-left: 1px solid #494c50;

    background: none;
    color: inherit;
    font: inherit;
    cursor: pointer;
    outline: inherit;
    padding: 0 0.5em;
}

.panel-buttons button span {
    padding-left: 0.5em;
}

.panel-buttons button:hover {
    background-color: #3c4043;
}

.button-bar {
    flex: 0 1 auto;
    display: flex;
    border-bottom: 1px solid #494c50;
    background-color: #292a2d;
    color: #d9d9d9;
}

.button-bar ul {
    list-style: none;
    list-style-type: none;
    margin: 0px;
    padding: 0px;
}

.button-bar li {
    display: inline-block;
    height: 1.45em;
}

.button-bar button {
    display: block;
    height: 100%;
    width: 10em;
    padding: 0 0.5em;
    border: none;
    border-right: 1px solid #494c50;

    background: none;
    color: inherit;
    font: inherit;
    cursor: pointer;
    outline: inherit;
    padding: 0 0.5em;
}

.button-bar button:hover {
    background-color: #3c4043;
}

.button-bar button span {
    padding-left: 0.5em;
}

.panel-body {
    flex: 1 1 auto;
    background-color: #202124;
    overflow: hidden;
}
